//
//  SVBorderCrossing.h
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/20/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@interface SVBorderCrossing : NSObject

@property (nonatomic, strong) NSString *portID;
@property (nonatomic, strong) NSString *portName;
@property (nonatomic, strong) NSString *passengerDelayTimeCa;
@property (nonatomic, strong) NSString *nexusDelayTimeCa;
@property (nonatomic, strong) NSString *readyDelayTimeCa;
@property (nonatomic, strong) NSString *commercialDelayTimeCa;
@property (nonatomic, strong) NSString *fastDelayTimeCa;
@property (nonatomic, strong) NSString *passengerDelayTimeUs;
@property (nonatomic, strong) NSString *nexusDelayTimeUs;
@property (nonatomic, strong) NSString *readyDelayTimeUs;
@property (nonatomic, strong) NSString *commercialDelayTimeUs;
@property (nonatomic, strong) NSString *fastDelayTimeUs;

@property (nonatomic) CLLocationCoordinate2D coordinatesUs;
@property (nonatomic) CLLocationCoordinate2D coordinatesCa;

@end
