//
//  SVBorderCrossings.m
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/20/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <CoreLocation/CoreLocation.h>
#import "SVBorderCrossings.h"
#import "SVBorderCrossing.h"

@implementation SVBorderCrossings

@synthesize lastUpdateCa, lastUpdateUs, crossings;

- (id) init
{
    self = [super init];
    crossings = [[NSMutableArray alloc] init];
    
    SVBorderCrossing *bc = [[SVBorderCrossing alloc] init];
    bc.portID = @"300402";
    bc.portName = @"Peace Arch / I5";
    CLLocationCoordinate2D coord = CLLocationCoordinate2DMake(49.002315, -122.757277);
    bc.coordinatesCa = coord;
    coord = CLLocationCoordinate2DMake(49.001851, -122.755826);
    bc.coordinatesUs = coord;
    bc.readyDelayTimeUs = @"-";
    bc.commercialDelayTimeUs = @"-";
    bc.fastDelayTimeUs = @"-";
    [crossings addObject:bc];
    
    bc = [[SVBorderCrossing alloc] init];
    bc.portID = @"300401";
    bc.portName = @"Pacific Highway / SR543";
    coord = CLLocationCoordinate2DMake(49.003499, -122.735417);
    bc.coordinatesCa = coord;
    coord = CLLocationCoordinate2DMake(49.001084, -122.735245);
    bc.coordinatesUs = coord;
    bc.readyDelayTimeUs = @"-";
    [crossings addObject:bc];
    
    bc = [[SVBorderCrossing alloc] init];
    bc.portID = @"302301";
    bc.portName = @"Aldegrove / Lynden";
    coord = CLLocationCoordinate2DMake(49.002333, -122.485322);
    bc.coordinatesCa = coord;
    coord = CLLocationCoordinate2DMake(49.002036, -122.484982);
    bc.coordinatesUs = coord;
    bc.nexusDelayTimeUs = @"-";
    bc.readyDelayTimeUs = @"-";
    bc.commercialDelayTimeUs = @"-";
    bc.fastDelayTimeUs = @"-";
    [crossings addObject:bc];
    
    bc = [[SVBorderCrossing alloc] init];
    bc.portID = @"300901";
    bc.portName = @"Sumas / SR9";
    coord = CLLocationCoordinate2DMake(49.002731, -122.265971);
    bc.coordinatesCa = coord;
    coord = CLLocationCoordinate2DMake(49.002087, -122.265129);
    bc.coordinatesUs = coord;
    bc.nexusDelayTimeUs = @"-";
    bc.readyDelayTimeUs = @"-";
    bc.commercialDelayTimeUs = @"-";
    bc.fastDelayTimeUs = @"-";
    [crossings addObject:bc];
    
    return self;
}
@end
