//
//  SVContentController.h
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/17/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SVContentController : NSObject <UIScrollViewDelegate>
{
    BOOL pageControlUsed;
}

// Items you want to hook up in the XIB editor must be either IBOutlet or
// IBAction items.
@property (nonatomic, strong) IBOutlet UIScrollView *scrollView;
@property (nonatomic, strong) IBOutlet UIPageControl *pageControl;
@property (nonatomic, strong) NSMutableArray *viewControllers;

- (UIView *)view;
- (IBAction)changePage:(id)sender;
- (void)updateViewFromData;

@end
