//
//  SVViewController.h
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/16/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SVContentController.h"

@interface SVViewController : UIViewController
{
    int pageNumber;
}

@property (nonatomic, strong) IBOutlet UILabel *titleLabel;
@property (weak, nonatomic) IBOutlet UIButton *lastUpdateSea;
@property (weak, nonatomic) IBOutlet UIButton *lastUpdateVan;
@property (nonatomic, strong) IBOutlet UILabel *stdUs;
@property (nonatomic, strong) IBOutlet UILabel *nexUs;
@property (nonatomic, strong) IBOutlet UILabel *rdyUs;
@property (nonatomic, strong) IBOutlet UILabel *trkUs;
@property (nonatomic, strong) IBOutlet UILabel *fstUs;
@property (nonatomic, strong) IBOutlet UILabel *stdCa;
@property (nonatomic, strong) IBOutlet UILabel *nexCa;
@property (nonatomic, strong) IBOutlet UILabel *rdyCa;
@property (nonatomic, strong) IBOutlet UILabel *trkCa;
@property (nonatomic, strong) IBOutlet UILabel *fstCa;

// We need the pointer to the parent controller to be weak, so as to avoid a retain cycle.
@property (nonatomic, weak) SVContentController *parentController;

- (id)initWithPageNumber:(int)page parentController:(SVContentController *)parent;
- (IBAction)aboutClicked:(id)sender;
- (IBAction)refreshClicked:(id)sender;
- (IBAction)mapClicked:(id)sender;

@end

