//
//  SVXMLParserCa.h
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/20/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SVXMLParserCa : NSObject <NSXMLParserDelegate>
{
    NSMutableString *currentString;
    NSMutableString *updateDate;
    NSMutableString *updateTime;
    NSMutableArray *bcPorts;
    NSMutableString *currentPort;
    NSUInteger portCount;

    // UNDONE
    // We take in the parent controller so that we can pass on a reference to the
    // border crossing object that corresponds to the current port entry in the xml.
    // Our child parser will set the crossing's field values directly. We avoid
    // a retain cycle by making the parent pointer weak.
}

@property (nonatomic, weak) id parentParserDelegate;
@property (nonatomic, strong) NSString *lastUpdate;
@property (nonatomic, readonly, strong) NSMutableArray *portElements;

@end
