//
//  SVAboutViewController.m
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/23/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "SVAboutViewController.h"

@implementation SVAboutViewController

@synthesize aboutText;

//- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
- (id)init
{
    //self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    // if (self)
    self = [super initWithNibName:@"SVAboutViewController" bundle:nil];
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // viewDidLoad is useful for initialization that must happen after the XIB
    // has been loaded. In this case, we load the 'about' text from a resource
    // file, and set it into the UITextView. The init would be too early to do
    // this kind of initialization.
    NSString *path = [[NSBundle mainBundle] pathForResource:@"AboutText" 
                                                     ofType:@"txt"];
    NSString *content = [NSString stringWithContentsOfFile:path 
                                                  encoding:NSUTF8StringEncoding 
                                                     error:NULL];
    aboutText.text = content; 
}

- (void)viewDidUnload
{
    [super viewDidUnload];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)supportClicked:(id)sender
{
    if ([MFMailComposeViewController canSendMail])
    {
        MFMailComposeViewController *mailComposer = [[MFMailComposeViewController alloc] init];
        mailComposer.mailComposeDelegate = self;
        NSArray *toRecipients = [NSArray arrayWithObject:@"tensecondapps@live.com"];
        [mailComposer setToRecipients:toRecipients]; 
        [mailComposer setSubject:@"Feedback/Support for SeaVan"];
        [self presentModalViewController:mailComposer animated:YES];
    }
}

- (void)mailComposeController:(MFMailComposeViewController *)controller 
          didFinishWithResult:(MFMailComposeResult)result 
                        error:(NSError *)error
{
    [controller dismissModalViewControllerAnimated:YES];
}

- (IBAction)appStoreClicked:(id)sender
{
    // TODO appStoreClicked
//    appstore link for review/ratings (?).
//        Replace the final string of 9 numbers with your app's application ID from iTunes connect or your iTunes url. This link when launched from an iOS device takes you directly to the reviews
    // "itms-apps://ax.itunes.apple.com/WebObjects/MZStore.woa/wa/viewContentsUserReviews?type=Purple+Software&id=412843648"
    
    // This code will compute an appstore URL for this current app - better than hard-coding numbers.
//    NSCharacterSet *trimSet = [[NSCharacterSet characterSetWithCharactersInString:@"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLKMNOPQRSTUVWXYZ0123456789"] invertedSet];    
//    NSArray *trimmedAppname = [[NSString stringWithString:[[[NSBundle mainBundle] infoDictionary] objectForKey:@"CFBundleName"]] componentsSeparatedByCharactersInSet:trimSet];
//    NSString *appStoreLink = @"http://itunes.com/app/"; 
//    for (NSString *part in trimmedAppname) appStoreLink = [NSString stringWithFormat:@"%@%@",appStoreLink,part];
//    NSLog(@"App store URL:%@",appStoreLink);
        
    NSString *appStoreURL = @"http://itunes.apple.com/us/app/id123456789?mt=8";
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:appStoreURL]];
}

- (IBAction) cancelClicked:(id)sender
{
    [self dismissModalViewControllerAnimated:YES];
}

@end
