//
//  SVMapViewController.h
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/23/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import <CoreLocation/CoreLocation.h>
#import "SVMapAnnotation.h"

@interface SVMapViewController : UIViewController
{
    CLLocationCoordinate2D coordinate;
    NSString *pinTitle;
    SVMapAnnotation *annotation;
}

@property (nonatomic, strong) IBOutlet MKMapView *mapView;

- (id) initWithCoordinate:(CLLocationCoordinate2D)c title:(NSString *)t;
- (IBAction)cancelClicked:(id)sender;

@end
