//
//  SVURLConnectionWithTag.h
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/19/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//


// To satisfy the requirement to make multiple NSURLConnection requests from one viewcontroller, we need to subclass the NSURLConnection class, so that we can add an additional property that we can use to identify the specific request in each delegate.

#import <Foundation/Foundation.h>

@interface SVURLConnectionWithTag : NSURLConnection

@property (nonatomic, strong) NSNumber *tag;

- (id)initWithRequest:(NSURLRequest *)request 
             delegate:(id)delegate 
     startImmediately:(BOOL)startImmediately 
                  tag:(NSNumber*)_tag;

@end
